Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.common.util
Enum Logger.Level

    java.lang.Object
      java.lang.Enum<Logger.Level>
          org.modeshape.common.util.Logger.Level

All Implemented Interfaces:
  Serializable, Comparable<Logger.Level>

Enclosing class:
  Logger

    public static enum Logger.Level

extends Enum<Logger.Level>

Enum Constant Summary
`DEBUG`
`ERROR`
`INFO`
`OFF`
`TRACE`
`WARNING`

Method Summary
`static Logger.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Logger.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OFF

    public static final Logger.Level OFF

### ERROR

    public static final Logger.Level ERROR

### WARNING

    public static final Logger.Level WARNING

### INFO

    public static final Logger.Level INFO

### DEBUG

    public static final Logger.Level DEBUG

### TRACE

    public static final Logger.Level TRACE

Method Detail

### values

    public static Logger.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Logger.Level c : Logger.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Logger.Level valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.